ALTER TABLE Posto DROP CONSTRAINT posto_fkey1;
ALTER TABLE Posto DROP CONSTRAINT posto_fkey2;
ALTER TABLE Cidade DROP CONSTRAINT cidade_fkey;
DROP TABLE Posto;
DROP TABLE Bandeira;
DROP TABLE Cidade;
DROP TABLE Estado;

CREATE TABLE Estado
	(id_estado number, 
	sigla varchar2(2), 
	nome_estado varchar2(25),
	CONSTRAINT Estado_pkey PRIMARY KEY (id_estado));

CREATE TABLE Cidade
	(id_cidade number, 
	id_estado number, 
	nome_cidade varchar2(50),
	CONSTRAINT Cidade_pkey PRIMARY KEY (id_cidade));

CREATE TABLE Bandeira
	(id_bandeira number, 
	nome_bandeira varchar2(15),
	CONSTRAINT Bandeira_pkey PRIMARY KEY (id_bandeira));

CREATE TABLE Posto
	(id_posto number,
	latitude number, 
	longitude number,
	logradouro varchar(100),
	numero number,
 	bairro varchar2(50), 
	cep number,
	id_cidade number, 
	id_bandeira number, 
	nome_posto varchar2(80), 
	preco_gasolina number,
	atualizacao_gasolina varchar2(25), 
	preco_alcool number, 
	atualizacao_alcool varchar2(25), 
	preco_diesel number, 
	atualizacao_diesel varchar2(25), 
	CONSTRAINT Posto_pkey PRIMARY KEY (id_posto));


ALTER TABLE Cidade ADD CONSTRAINT cidade_fkey FOREIGN KEY (id_estado) REFERENCES Estado;
ALTER TABLE Posto ADD CONSTRAINT posto_fkey1 FOREIGN KEY (id_cidade) REFERENCES Cidade;
ALTER TABLE Posto ADD CONSTRAINT posto_fkey2 FOREIGN KEY (id_bandeira) REFERENCES Bandeira;

COMMIT;